Loading...
Searching...
No Matches
OBDOSData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBDOSData:
[legend]

## Public Member Functions

| OBDOSData ()
virtual | ~OBDOSData ()
virtual OBGenericData * | Clone (OBBase *) const
OBDOSData & | operator= (const OBDOSData &)
void | SetData (double, const std::vector< double > &, const std::vector< double > &, const std::vector< double > &)
double | GetFermiEnergy () const
std::vector< double > | GetEnergies () const
std::vector< double > | GetDensities () const
std::vector< double > | GetIntegration () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

double | _fermi
std::vector< double > | _vEnergies
std::vector< double > | _vDensities
std::vector< double > | _vIntegration
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold density of states information.

## Constructor & Destructor Documentation

## OBDOSData()

OBDOSData | ( |  | ) |

inline

Referenced by Clone(), and operator=().

## ~OBDOSData()

virtual ~OBDOSData | ( |  | ) |

inline virtual

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## operator=()

OBDOSData & operator= | ( | const OBDOSData & |  | ) |

## SetData()

void SetData | ( | double | fermi,
|  | const std::vector< double > & | vEnergies,
|  | const std::vector< double > & | vDensities,
|  | const std::vector< double > & | vIntegration )

Assign the data.

Parameters

  fermi | The Fermi energy in eV
  vEnergies | Energy levels in eV
  vDensities | Density of states in (number of states) / (unit cell)
  vIntegration | Integrated DOS

Referenced by operator=().

## GetFermiEnergy()

double GetFermiEnergy | ( |  | ) | const

inline

## GetEnergies()

std::vector< double > GetEnergies | ( |  | ) | const

inline

## GetDensities()

std::vector< double > GetDensities | ( |  | ) | const

inline

## GetIntegration()

std::vector< double > GetIntegration | ( |  | ) | const

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _fermi

double _fermi

protected

Fermi energy (eV) as shown in _vEnergies.

Referenced by SetData().

## _vEnergies

std::vector<double> _vEnergies

protected

Energy levels (eV).

Referenced by SetData().

## _vDensities

std::vector<double> _vDensities

protected

Density of corresponding energy level (number of states / unit cell).

Referenced by SetData().

## _vIntegration

std::vector<double> _vIntegration

protected

Integrated DOS vector.

Referenced by SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp